Permalink
Browse files

BUGFIX If database version can't be determined, just use the database…

… adapter class (from r105726)

git-svn-id: svn://svn.silverstripe.com/silverstripe/open/phpinstaller/trunk@112394 467b73ca-7a2a-4603-9d3b-597d59a354a9
  • Loading branch information...
1 parent 49bf141 commit 888869360055339c5af7d1f6eb7564b22de6a4a9 sminnee committed Oct 15, 2010
Showing with 1 addition and 1 deletion.
  1. +1 −1 install.php
View
2 install.php
@@ -919,7 +919,7 @@ function install($config) {
$dbType = $config['db']['type'];
// Try to determine the database version from the helper
- $databaseVersion = '';
+ $databaseVersion = $config['db']['type'];
$helper = $this->getDatabaseConfigurationHelper($dbType);
if($helper && method_exists($helper, 'getDatabaseVersion')) {
$databaseVersion = urlencode($dbType . ': ' . $helper->getDatabaseVersion($config['db'][$dbType]));

0 comments on commit 8888693

Please sign in to comment.